nopaque.app.endpoints.Main = class Main {
  constructor(app) {
    this.app = app;
  }

  async acceptTermsOfUse() {
    const options = {
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json'
      },
      method: 'POST',
    };

    const response = await fetch(`/accept-terms-of-use`, options);
    const data = await response.json();

    if (!response.ok) {throw new Error(`${data.name}: ${data.description}`);}

    return data;
  }
}
